Bug 118767 - Atheros Wireless G MiniPCI card Sony PCG-K15 PCI No IRQ known for interrupt pin A of device 00:09.0
Atheros Wireless G MiniPCI card Sony PCG-K15 PCI No IRQ known for interrupt p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 18:07 EST by Tom Hutchison
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 12:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hutchison 2004-03-19 18:07:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007

Description of problem:
New Sony PCG-K15 laptop has LAN-Express AS IEEE 802.11G MiniPCI
wireless adapter.  Also known as Atheros/Ambit AR5212 802.11abg
MiniPCI card.  Loading MadWFI ath_pci.o modules gives the following
kernel error:

ath_hal: 0.9.8.6
wlan: 0.7.3.1 BETA
ath_pci: 0.8.5.4 BETA
PCI: No IRQ known for interrupt pin A of device 00:09.0. Please try
using pci=biosirq.
ath%d: request_irq failed

Setting pci-biosirq at boot does not help.

Bug reported to MadWFI users mailing list.  No response yet.

Tom


Version-Release number of selected component (if applicable):
Kernel  2.4.22-1.2174.nptl

How reproducible:
Always

Steps to Reproduce:
1. Load MadWFI Atheros Module: ath_pci.o
2.
3.
    

Actual Results:  ath_hal: 0.9.8.6
wlan: 0.7.3.1 BETA
ath_pci: 0.8.5.4 BETA
PCI: No IRQ known for interrupt pin A of device 00:09.0. Please try
using pci=biosirq.
ath%d: request_irq failed

Expected Results:  Proper loading of module

Additional info:

[root@host root]# lspci -vv -s00:09.0
00:09.0 Ethernet controller: Atheros Communications, Inc. AR5212
802.11abg NIC (rev 01)
        Subsystem: AMBIT Microsystem Corp.: Unknown device 0406
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 0
        Region 0: Memory at 1c010000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-


Windows XP loads card at IRQ 11, Mem FBEE0000-FBEEFFFF
Comment 1 Tom Hutchison 2004-03-20 11:03:34 EST
After more research etc.  I added " acpi=on " to the kernel boot
options in grub.conf.  ath_pci.o now loads with:

--------------------------------------------
ath_hal: 0.9.8.6
wlan: 0.7.3.1 BETA
ath_pci: 0.8.5.4 BETA
divert: allocating divert_blk for ath0
ath0: mac 5.9 phy 4.3 5ghz radio 4.6
ath0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
ath0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps
24Mbps 36Mbps 48Mbps 54Mbps
ath0: 802.11 address: 00:0e:9b:01:54:03
ath0: Atheros 5212: mem=0x1c010000, irq=11
---------------------------------------------

Not sure why "acpi=on" is necessary, but it fixes the IRQ Not known
problem.

Tom
Comment 2 Alan Cox 2004-05-03 12:26:01 EDT
For some reason your system has ACPI but not $PIR (old style) data for
some of the interrupt lines.

Note You need to log in before you can comment on or make changes to this bug.